tbb::internal::context_guard_helper< T > Struct Template Reference

`#include <scheduler.h>`

Collaboration diagram for tbb::internal::context_guard_helper< T >:

## Public Member Functions

void | set_ctx ()
void | restore_default ()

## Detailed Description

### template<bool T>
struct tbb::internal::context_guard_helper< T >

Definition at line 1018 of file scheduler.h.

## Member Function Documentation

## restore_default()

template<bool T>

void tbb::internal::context_guard_helper< T >::restore_default | ( |  | ) |

inline

Definition at line 1020 of file scheduler.h.

{}

## set_ctx()

template<bool T>

void tbb::internal::context_guard_helper< T >::set_ctx | ( |  | ) |

inline

Definition at line 1019 of file scheduler.h.

{}

Referenced by tbb::internal::custom_scheduler< SchedulerTraits >::process_bypass_loop().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- scheduler.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.